Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

CSS

Updating to Dart Sass (from Ruby Sass)

It looks like Ruby Sass (as is shown in this video) is now deprecated / no longer maintained, and instead Dart Sass is the primary build. With that in mind, what are the major considerations to be made (especially for developers new to it)?

  • Should we uninstall Ruby Sass? If so, how?
  • Instructions for installing Dart Sass? (Note: Installation instructions can be found on the Sass website, but a more detailed walkthrough for those unfamiliar with package managers - but still using the command line - would be appreciated.)
  • Does Dart Sass behave in the same ways as Ruby Sass?

Updates from Guil Hernandez or anyone from the Treehouse Team would - of course - be greatly welcomed!

1 Answer

Jonathan Grieve
MOD
Jonathan Grieve
Treehouse Moderator 91,065 Points

To be honest, and I know I should, I haven't really upgraded to Dart Sass yet. Regular sass is still working for me and while my focus is on my current progress that is where i'll leave it for now.

[BTW I received this answer request 14 hours ago but was first tagged back in October. Whether that means it's a backlog or someone else has found the thread and asked me in that time I don't know but now would seem a good time to raise the topic again so I'll also try CC Guil Hernandez into this and see if there's an update.] :)